/// <reference types="@map-component/tmap-types" />
import { PropType } from 'vue';
export declare function buildGeometries<T>(geometries: TMap.PolylineGeometry<T>[]): TMap.PolylineGeometry<T>[];
declare const _default: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        default: string;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: PropType<{
            [key: string]: TMap.PolylineStyleOptions;
        }>;
        required: true;
    };
    geometries: {
        type: PropType<TMap.PolylineGeometry<any>[]>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        default: string;
    };
    zIndex: {
        type: NumberConstructor;
        default: number;
    };
    styles: {
        type: PropType<{
            [key: string]: TMap.PolylineStyleOptions;
        }>;
        required: true;
    };
    geometries: {
        type: PropType<TMap.PolylineGeometry<any>[]>;
        required: true;
    };
}>>, {
    id: string;
    zIndex: number;
}>;
export default _default;
